%define realname   URI-Find-Simple

Name:		perl-%{realname}
Version:    1.01
Release:    %mkrel 3
License:	GPLv2+ or Artistic
Group:		Development/Perl
Summary:    A simple interface to URI::Find 
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/URI/URI-Find-Simple-%{version}.tar.bz2
# fix from http://rt.cpan.org/Public/Bug/Display.html?id=50575
# the fix is temporary, as noted on cpan as URI::Find changed its behavior
Patch0:     %{name}-fix_test.diff
Url:		http://search.cpan.org/dist/%{realname}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	perl-devel
BuildRequires: perl(Test::More)
BuildRequires: perl(URI::Find)
BuildArch: noarch

%description
URI::Find is all very well, but sometimes you just want a list of the links 
in a given piece of text, or you want to change all the urls in some text 
somehow, and don't want to mess with callback interfaces.

This module uses URI::Find, but hides the callback interface, providing two 
functions - one to list all the uris, and one to change all the uris.
%prep
%setup -q -n URI-Find-Simple-%{version} 
%patch0 -p0

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)

%{perl_vendorlib}/URI/
%{_mandir}/man3/*




%changelog
* Tue Nov 10 2009 Michael Scherer <misc@mandriva.org> 1.01-3mdv2010.1
+ Revision: 463854
- fix License
- add a note on the patch i have added, as upstream is not such about it
- fix test, with a patch from rt.cpan.org written by David Golden

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-1mdv2009.1
+ Revision: 292357
- update to new version 1.01

* Fri Jun 20 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1-1mdv2009.0
+ Revision: 227427
- update to new version 1

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.7-1mdv2008.1
+ Revision: 136364
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Thu Dec 07 2006 Michael Scherer <misc@mandriva.org> 0.7-1mdv2007.0
+ Revision: 91986
- Import perl-URI-Find-Simple

* Thu Dec 07 2006 Michael Scherer <misc@mandriva.org> 0.7-1mdv2007.1
- First Mandriva package

